Bug 999282 - 'Duplicate current page' button takes user to incorrect page
'Duplicate current page' button takes user to incorrect page
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER4
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 01:38 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video of reproducing steps (918.59 KB, video/webm)
2013-08-21 01:38 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-08-21 01:38:27 EDT
Created attachment 788719 [details]
Video of reproducing steps

Description of problem:
The button 'Duplicate current page' in the administrator bar doesn't take user to the correct page after the steps described below, but instead takes him to 'Create new page'.

Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER1

How reproducible:
Always

Steps to Reproduce:
1. starting from default homepage (workspace Showcase, page Home) click 'Create new page' in the admin bar (this correctly takes you to 'Create new page' of the General options view)
2. Without creating a new page, click 'Back to workspace' button at the top left
3. Now click on 'Duplicate current page' button

Actual results:
User is taken to page 'Create new page' as if he clicked the button in step 1

Expected results:
User should be taken to page 'Duplicate page Home'

Additional info:

Note, that when clicked immediately (without first clicking 'Create new page') the button works as expected - it takes us to 'Duplicate page Home'.
But when used in sequence described, the problem arises.

Video of reproducing steps attached.
Comment 1 Neus Miras 2013-09-05 05:56:40 EDT
Now the handler duplicate and create page action is reset before a new duplicate and create page action is requested.

Commits:
https://github.com/droolsjbpm/dashboard-builder/commit/3f210f7baf507c4613917995a9d0c265487ee689
Comment 6 Jan Hrcek 2013-10-17 01:27:01 EDT
Ok, verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.